<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% load staticfiles %}
    <!-- customm base csss-->
    <link rel="stylesheet" type="text/css" href="{% static 'css/toyosu-base.css' %}"/>
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap-reset.css' %}">
    <!--external css-->
    <link rel="stylesheet" type="text/css" href="{% static 'assets/font-awesome/css/font-awesome.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'assets/jquery-ui/jquery-ui-1.10.1.custom.css' %}">
    <!-- Custom styles for this template -->
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style-responsive.css' %}"/>
    <!-- Custom styles for checkbox -->
    <link rel="stylesheet" href="{% static 'css/build.css' %}">
    <!--right slidebar-->
    <link href="{% static 'css/slidebars.css' %}" rel="stylesheet">
    <!-- Select2 core CSS -->
    <link rel="stylesheet" type="text/css" href="{% static 'css/select2.css' %}"/>
    <!-- date picker-->
    <link rel="stylesheet" type="text/css" href="{% static 'assets/bootstrap-datepicker/css/datepicker.css' %}"/>

    <!-- time  picker-->
    <link rel="stylesheet" type="text/css" href="{% static 'assets/jquery-timepicker/jquery.timepicker.css' %}"/>
    <!-- file upload-->
    <link rel="stylesheet" type="text/css" href="{% static 'assets/bootstrap-fileupload/bootstrap-fileupload.css' %}"/>
    <!-- Datatables -->
    <link href="{% static "assets/datatables/css/dataTables.bootstrap.min.css" %}" rel="stylesheet">
    {#    <link href="{% static "assets/datatables/css/buttons.bootstrap.min.css" %}" rel="stylesheet">#}
    {#    <link href="{% static "assets/datatables/css/fixedHeader.bootstrap.min.css" %}" rel="stylesheet">#}
    {#    <link href="{% static "assets/datatables/css/responsive.bootstrap.min.css" %}" rel="stylesheet">#}
    {#    <link href="{% static "assets/datatables/css/scroller.bootstrap.min.css" %}" rel="stylesheet">#}

    <link rel="icon" type="image/x-icon" href="{% static 'img/favicon.ico' %}">
    {% block extrahead %}{% endblock %}
    <title>{% block title %}Toyosu Suisan{% endblock %}</title>
</head>
<body>
<section id="container">
    <!--header start-->
    <header class="header white-bg">
        <div class="sidebar-toggle-box">
            <div class="fa fa-bars tooltips" data-placement="right" data-original-title="Toggle Navigation"></div>
        </div>
        <!--logo start-->
        <a href="{% url 'home_load' %}" class="logo">Toyosu<span>Suisan</span></a>
        <!--logo end-->
        <!--res-->
        <div class="home_res_list col-lg-8">
            <div class="col-lg-3">
                <label>Current Restaurant : </label>
            </div>
            <div class="col-lg-5 col-md-pull-1 select2_box">
                <select class="form-controls" name="home_res_id" id="home_res" optionKey="id" optionValue="name"
                        class="many-to-one">

                    {% for res in request.session.res_list %}
                        <option value="{{ res.id }}" {% if request.session.cms_auth_sign_in_curr_res_id == res.id %}
                                selected="selected" {% endif %}>{{ res.name }}</option>
                    {% endfor %}

                </select>

            </div>
        </div>

        <div class="top-nav ">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <!--
                <li>
                    <input type="text" class="form-control search" placeholder="Search">
                </li>
                -->

                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="{% static 'img/login-icon.png' %}">
                        <span class="username">{{ request.session.cms_auth_sign_in_mapping_fname }}</span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <div class="log-arrow-up"></div>
                        <li><a href=""><i
                                class=" fa fa-suitcase"></i>{{ request.session.cms_auth_sign_in_mapping_role_name }}</a>
                        </li>
                        <li><a href=""><i class="fa fa-cog"></i> Profile</a></li>
                        <li><a href="{% url 'do_logout_ope' %}"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
    <aside>
        <div id="sidebar" class="nav-collapse ">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
                <li>
                    <a href="{% url 'home_load' %}" {% block home_active %}{% endblock %}>
                        <i class="fa fa-dashboard"></i>
                        <span>Home</span>
                    </a>
                </li>
                <!-- restaurant -->
                <li class="sub-menu">
                    <a href="javascript:;" class="{% block parent_restaurant_a_active %}{% endblock %}">
                        <i class="fa fa-home fa-fw {% block parent_restaurant_i_active %}{% endblock %}"></i>
                        <span>Restaurant Manage</span>
                    </a>
                    <ul class="sub">
                        <li class="{% block restaurant_active %}{% endblock %}">
                            <a href="{% url 'restaurants_list' %}">Restaurant List</a>
                        </li>
                        <li class="{% block contact_active %}{% endblock %}">
                            <a href="{% url 'contacts_list' %}">Contact List</a>
                        </li>
                    </ul>
                </li>
                <!-- end restaurant -->
                <!-- qr code -->
                <li class="sub-menu">
                    <a href="javascript:;" class="{% block parent_point_a_active %}{% endblock %}">
                        <i class="fa fa-qrcode fa-fw {% block parent_point_i_active %}{% endblock %}"></i>
                        <span>Point Manage</span>
                    </a>
                    <ul class="sub">
                        <li class="{% block point_active %}{% endblock %}">
                            <a href="{% url 'res_points_list' %}">Point List</a>
                        </li>
                    </ul>
                </li>
                <!-- end qr code -->
                <!-- prize -->
                <li class="sub-menu">
                    <a href="javascript:;" class="{% block parent_prize_a_active %}{% endblock %}">
                        <i class="fa fa-gift fa-fw {% block parent_prize_i_active %}{% endblock %}"></i>
                        <span>Prize Manage</span>
                    </a>
                    <ul class="sub">
                        <li class="{% block prize_active %}{% endblock %}">
                            <a href="{% url 'prizes_list' %}">Prize List</a>
                        </li>
                    </ul>
                </li>
                <!-- end prize -->
                <!-- reservation -->
                <li class="sub-menu">
                    <a href="javascript:;" class="{% block parent_reservation_a_active %}{% endblock %}">
                        <i class="fa fa-calendar fa-fw {% block parent_reservation_i_active %}{% endblock %}"></i>
                        <span>Reservation Manage</span>
                    </a>
                    <ul class="sub">
                        <li class="{% block reservation_active %}{% endblock %}">
                            <a href="{% url 'reservations_list' %}">Reservation List</a>
                        </li>
                    </ul>
                </li>
                <!-- end reservation -->
                <!-- news -->
                <li class="sub-menu">
                    <a href="javascript:;" class="{% block parent_topics_a_active %}{% endblock %}">
                        <i class="fa fa-list fa-fw {% block parent_topics_i_active %}{% endblock %}"></i>
                        <span>Topics Manage</span>
                    </a>
                    <ul class="sub">
                        <li class="{% block topics_active %}{% endblock %}">
                            <a href="{% url 'topics_list' %}">Topics List</a>
                        </li>
                        <li class="{% block topics_category_active %}{% endblock %}">
                            <a href="{% url 'topics_cat_list' %}">Topics Category</a>
                        </li>
                    </ul>
                </li>
                <!-- end news -->
                <!-- Food -->
                <li class="sub-menu">
                    <a href="javascript:;" class="{% block parent_food_a_active %}{% endblock %}">
                        <i class="fa fa-cutlery fa-fw {% block parent_food_i_active %}{% endblock %}"></i>
                        <span>Foods Manage</span>
                    </a>
                    <ul class="sub">
                        <li class="{% block food_active %}{% endblock %}">
                            <a href="{% url 'foods_list' %}">Foods List</a>
                        </li>
                        <li class="{% block food_category_active %}{% endblock %}">
                            <a href="{% url 'foods_cat_list' %}">Foods Category</a>
                        </li>
                    </ul>
                </li>
                <!-- end Food -->
                <!-- coupon -->
                <li class="sub-menu">
                    <a href="javascript:;" class="{% block parent_coupon_a_active %}{% endblock %}">
                        <i class="fa fa-tags fa-fw {% block parent_coupon_i_active %}{% endblock %}"></i>
                        <span>Coupons Manage</span>
                    </a>
                    <ul class="sub">
                        <li class="{% block coupon_active %}{% endblock %}">
                            <a href="{% url 'coupons_list' %}">Coupons List</a>
                        </li>
                    </ul>
                </li>
                <!-- end coupon -->
                <!-- customer -->
                <li class="sub-menu">
                    <a href="javascript:;" class="{% block parent_customer_a_active %}{% endblock %}">
                        <i class="fa fa-user fa-fw {% block parent_customer_i_active %}{% endblock %}"></i>
                        <span>Customers Manage</span>
                    </a>
                    <ul class="sub">
                        <li class="{% block customer_active %}{% endblock %}">
                            <a href="{% url 'customers_list' %}">Customers List</a>
                        </li>
                    </ul>
                </li>
                <!-- end customer -->


            </ul>
            <!-- sidebar menu end-->
        </div>
    </aside>

    <!--sidebar end-->
    <!--main content start-->
    <section id="main-content">
        <section class="wrapper">
            {#            {% if messages %}#}
            {#                <ul class="messages">#}
            {#                    {% for message in messages %}#}
            {#                        <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>#}
            {#                    {% endfor %}#}
            {#                </ul>#}
            {#            {% endif %}#}
            {% block content %}{% endblock %}
        </section>
    </section>
</section>
<!--main content end-->

<!--footer start-->
<footer class="site-footer">
    <div class="text-center">
        &copy; Toyosu Suisan
        <a href="#" class="go-top">
            <i class="fa fa-angle-up"></i>
        </a>
    </div>
</footer>
<!--footer end--
</section>

<!-- js placed at the end of the document so the pages load faster -->
<script type="text/javascript" src="{% static 'js/jquery.js' %}"></script>
<script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
<script type="text/javascript" src="{% static 'js/jquery.dcjqaccordion.2.7.js' %}" class="include"></script>
<script type="text/javascript" src="{% static 'js/jquery.scrollTo.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/jquery-ui/jquery-ui-1.10.1.custom.min.js' %}"></script>
<script type="text/javascript" src="{% static 'js/jquery.nicescroll.js' %}"></script>
<script type="text/javascript" src="{% static 'js/respond.min.js' %}"></script>

<!--common script for all pages-->
<script type="text/javascript" src="{% static 'js/base-core.js' %}"></script>
<script type="text/javascript" src="{% static 'js/common-scripts.js' %}"></script>
<script type="text/javascript" src="{% static 'js/form-component.js' %}"></script>

<!--right slidebar-->
<script src="{% static 'js/slidebars.min.js' %}"></script>

<!--select 2-->
<script type="text/javascript" src="{% static 'js/select2.js' %}"></script>

<!-- date picker-->
<script type="text/javascript" src="{% static 'assets/bootstrap-datepicker/js/bootstrap-datepicker.js' %}"></script>
<script src="{% static 'js/advanced-form-datepicker.js' %}"></script>

<!-- time  picker-->
<script type="text/javascript" src="{% static 'assets/jquery-timepicker/jquery.timepicker.min.js' %}"></script>
<!-- file upload-->
<script type="text/javascript" src="{% static 'assets/bootstrap-fileupload/bootstrap-fileupload.js' %}"></script>
<script type="text/javascript">
    // Active select to select box
    $("#home_res").select2({width: '100%'});

    //# Change curr res
    $('#home_res').on('change', function () {
        new_res_id = $('#home_res').val();
        curr_res_id = {{ request.session.cms_auth_sign_in_curr_res_id }};
        var dataString = 'res_id=' + new_res_id;
        console.log("Selected res id : " + new_res_id);
        console.log("Curr res id : " + curr_res_id);
        $.ajax({
            type: "POST",
            url: "{% url 'change_curr_res_by_id' %}",
            data: dataString,
            success: function (res) {
                console.log("Res" + res);
                console.log("mess" + res['message']);
                location.reload();
            }
        });

    });

    //global function
    $('a.btnRemoveImagePath').click(function (event) {
        $(this).parent().prev().find('img').attr('src', "{% static 'img/no-image.png' %}");
    });

    // time picker

    $('.cms-time-picker').timepicker(({'timeFormat': 'H:i'}));


</script>
{% block extrafoot %}{% endblock %}
{% block js_link %}{% endblock %}
{% block js %}{% endblock %}

</body>
</html>
